Skip to content

스킬 생성 Tier 4

POST/api/skillsCopied!

워크스페이스 스킬을 생성합니다.

Pro 플랜 필요

Skill Registry는 Pro 플랜 이상부터 사용할 수 있습니다.
생성 가능한 스킬의 수는 플랜의 제한을 따릅니다.

예시

ts
const skill = await client.skills.create({
  name: "Review Helper",
  description: "Summarizes review context.",
  metadata: { category: "review" },
  allowedTools: ["browser"],
  license: "MIT",
});
bash
youvico skill create \
  --name "Review Helper" \
  --description "Summarizes review context." \
  --metadata '{"category":"review"}' \
  --allowed-tool browser \
  --license MIT
bash
curl -X POST 'https://api.youvico.com/api/skills' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "name": "Review Helper", "description": "Summarizes review context.", "metadata": { "category": "review" }, "allowedTools": ["browser"], "license": "MIT" }'
json
{
  "data": {
    "id": "SK1234567890ABCD"
  }
}

요청

본문

namestringrequired

1-100 characters

스킬 이름
descriptionstringrequired

1-1024 characters

스킬 설명
metadataRecord<string, string>
스킬에 저장할 문자열 메타데이터
allowedToolsstring[]
허용된 도구 식별자
licensestring
스킬 라이선스

응답

201 Created를 반환합니다.

dataobject
생성된 스킬
data.idstring
생성된 스킬 ID

Example: SK1234567890ABCD